Summary: Extended cryptographic library (from glibc)
Name: libxcrypt
Version: 4.4.36
Release: r0
License: LGPL-2.1-only
Group: libs
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: https://github.com/besser82/libxcrypt
Source0: fix_cflags_handling.patch
Source1: configure-c99.patch
Source2: series
Source3: libxcrypt-4.4.36-r0.tar.xz
BuildRequires: autoconf-native
BuildRequires: automake-native
BuildRequires: libtool-cross
BuildRequires: libtool-native
BuildRequires: pkgconfig-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-poky-linux-compilerlibs
BuildRequires: virtual/x86_64-poky-linux-gcc

%description
Forked code from glibc libary to extract only crypto part.

%package -n libcrypt-src
Summary: Extended cryptographic library (from glibc) - Source files
License: LGPL-2.1-only
Group: devel
Provides: libxcrypt-src = 4.4.36

%description -n libcrypt-src
Forked code from glibc libary to extract only crypto part.  This package
contains sources for debugging purposes.

%package -n libcrypt-dbg
Summary: Extended cryptographic library (from glibc) - Debugging files
License: LGPL-2.1-only
Group: devel
Recommends: glibc-dbg
Provides: libxcrypt-dbg = 4.4.36

%description -n libcrypt-dbg
Forked code from glibc libary to extract only crypto part.  This package
contains ELF symbols and related sources for debugging purposes.

%package -n libcrypt-staticdev
Summary: Extended cryptographic library (from glibc) - Development files (Static Libraries)
License: LGPL-2.1-only
Group: devel
Requires: libcrypt-dev = 4.4.36-r0
Provides: libxcrypt-staticdev = 4.4.36

%description -n libcrypt-staticdev
Forked code from glibc libary to extract only crypto part.  This package
contains static libraries for software development.

%package -n libcrypt-dev
Summary: Extended cryptographic library (from glibc) - Development files
License: LGPL-2.1-only
Group: devel
Requires: libxcrypt
Recommends: glibc-dev
Recommends: libcrypt2 = 4.4.36-r0
Provides: libxcrypt-dev = 4.4.36

%description -n libcrypt-dev
Forked code from glibc libary to extract only crypto part.  This package
contains symbolic links, header files, and related items necessary for
software development.

%package -n libcrypt-doc
Summary: Extended cryptographic library (from glibc) - Documentation files
License: LGPL-2.1-only
Group: doc
Provides: libxcrypt-doc = 4.4.36

%description -n libcrypt-doc
Forked code from glibc libary to extract only crypto part.  This package
contains documentation.

%package -n libcrypt-locale
Summary: Extended cryptographic library (from glibc)
License: LGPL-2.1-only
Group: libs
Provides: libxcrypt-locale = 4.4.36

%description -n libcrypt-locale
Forked code from glibc libary to extract only crypto part.

%package -n libcrypt2
Summary: Extended cryptographic library (from glibc)
License: LGPL-2.1-only
Group: libs
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.25)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.36)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: rtld(GNU_HASH)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.25)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.36)(64bit)
Requires(post): libc.so.6(GLIBC_2.38)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): rtld(GNU_HASH)
Provides: libcrypt.so.2()(64bit)
Provides: libcrypt.so.2(XCRYPT_2.0)(64bit)
Provides: libcrypt.so.2(XCRYPT_4.3)(64bit)
Provides: libcrypt.so.2(XCRYPT_4.4)(64bit)
Provides: libxcrypt = 4.4.36

%description -n libcrypt2
Forked code from glibc libary to extract only crypto part.

%post -n libcrypt2
# libcrypt2 - postinst
#!/bin/sh
set -e
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libcrypt-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/libxcrypt"
%attr(755,root,root) %dir "/usr/src/debug/libxcrypt/4.4.36"
%attr(755,root,root) %dir "/usr/src/debug/libxcrypt/4.4.36/lib"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/crypt.h"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/crypt-hashes.h"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-md4.h"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/util-make-failure-token.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-yescrypt-platform.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/util-base64.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-yescrypt-opt.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-yescrypt-common.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-md5.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/crypt-nthash.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-gost3411-2012-precalc.h"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/crypt.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-gost3411-2012-hmac.h"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/crypt-md5.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/byteorder.h"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/crypt-gost-yescrypt.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/crypt-des.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-gost3411-2012-const.h"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/crypt-sha512.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-sha1.h"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-gost3411-2012-hmac.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-des-tables.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-hmac-sha1.h"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-des.h"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/util-get-random-bytes.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-sha1.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/crypt-pbkdf1-sha1.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-sha256.h"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-yescrypt.h"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/crypt-static.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/crypt-bcrypt.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/crypt-sunmd5.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-gost3411-2012-core.h"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-gost3411-2012-core.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/util-gensalt-sha.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/crypt-gensalt-static.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/crypt-sha256.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-sha512.h"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/util-xstrcpy.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-hmac-sha1.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-sha256.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/crypt-port.h"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-md4.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/crypt-scrypt.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/crypt-yescrypt.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-des.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-sha512.c"
%attr(644,root,root) "/usr/src/debug/libxcrypt/4.4.36/lib/alg-md5.h"

%files -n libcrypt-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/lib/.debug"
%attr(755,root,root) "/usr/lib/.debug/libcrypt.so.2.0.0"

%files -n libcrypt-dev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/include"
%attr(755,root,root) %dir "/usr/lib"
%attr(644,root,root) "/usr/include/crypt.h"
%attr(755,root,root) %dir "/usr/lib/pkgconfig"
%attr(777,root,root) "/usr/lib/libcrypt.so"
%attr(644,root,root) "/usr/lib/pkgconfig/libxcrypt.pc"
%attr(777,root,root) "/usr/lib/pkgconfig/libcrypt.pc"

%files -n libcrypt-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/man"
%attr(755,root,root) %dir "/usr/share/man/man3"
%attr(755,root,root) %dir "/usr/share/man/man5"
%attr(644,root,root) "/usr/share/man/man3/crypt_rn.3"
%attr(644,root,root) "/usr/share/man/man3/crypt_gensalt_ra.3"
%attr(644,root,root) "/usr/share/man/man3/crypt_ra.3"
%attr(644,root,root) "/usr/share/man/man3/crypt_preferred_method.3"
%attr(644,root,root) "/usr/share/man/man3/crypt_r.3"
%attr(644,root,root) "/usr/share/man/man3/crypt.3"
%attr(644,root,root) "/usr/share/man/man3/crypt_gensalt_rn.3"
%attr(644,root,root) "/usr/share/man/man3/crypt_checksalt.3"
%attr(644,root,root) "/usr/share/man/man3/crypt_gensalt.3"
%attr(644,root,root) "/usr/share/man/man5/crypt.5"

%files -n libcrypt2
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(777,root,root) "/usr/lib/libcrypt.so.2"
%attr(755,root,root) "/usr/lib/libcrypt.so.2.0.0"

%%prep
echo "include logs and patches, Please check them in SOURCES"

